curl --request POST \
--url https://thirdparty.qonto.com/v2/payment_links/connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partner_callback_url": "https://partner.com/payment-links/onboarding-callback",
"user_bank_account_id": "46e9e0d2-f1af-4d2e-a6be-a536a604b89e",
"user_phone_number": "+33612345678",
"user_website_url": "https://the-user-website.com",
"business_description": "An 80-chars long string describing the business. An 80-chars long string describing the business."
}
'import requests
url = "https://thirdparty.qonto.com/v2/payment_links/connections"
payload = {
"partner_callback_url": "https://partner.com/payment-links/onboarding-callback",
"user_bank_account_id": "46e9e0d2-f1af-4d2e-a6be-a536a604b89e",
"user_phone_number": "+33612345678",
"user_website_url": "https://the-user-website.com",
"business_description": "An 80-chars long string describing the business. An 80-chars long string describing the business."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
partner_callback_url: 'https://partner.com/payment-links/onboarding-callback',
user_bank_account_id: '46e9e0d2-f1af-4d2e-a6be-a536a604b89e',
user_phone_number: '+33612345678',
user_website_url: 'https://the-user-website.com',
business_description: 'An 80-chars long string describing the business. An 80-chars long string describing the business.'
})
};
fetch('https://thirdparty.qonto.com/v2/payment_links/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connection_location": "<string>",
"status": "not_connected",
"bank_account_id": "46e9e0d2-f1af-4d2e-a6be-a536a604b89e"
}Connect to the payment links provider
OAuth scope: payment_link.write
Allows your customers to start using the payment links by connecting a given bank account to the payment links provider.
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
URL to redirect the user to after the connection is completed.
"https://partner.com/payment-links/onboarding-callback"
The bank account ID to link to the payment links provider profile.
"46e9e0d2-f1af-4d2e-a6be-a536a604b89e"
The phone number to associate with the payment links provider account.
"+33612345678"
The user's website URL. The url is valid if it starts with http or https and does not contain any @
255^https?[^@]*$"https://the-user-website.com"
The business description to associate with the payment links provider account.
80"An 80-chars long string describing the business. An 80-chars long string describing the business."
Response
The connection has been created successfully, and the customer can be redirected to complete the onboarding.
URL to redirect the user to initiate the connection.
Status of the overall payment links feature activation:
enabled: The payment links feature is active, and the connection with the provider has been established.pending: The provider requires the user to complete additional steps in the onboarding process. While no action is required from you, you may choose to notify your users about this status.disabled: The payment links feature is not active.not_connected: The connection with the provider has not yet been established.
enabled, pending, disabled, not_connected "not_connected"
The bank account ID to be credited when the payment link is paid.
"46e9e0d2-f1af-4d2e-a6be-a536a604b89e"
Was this page helpful?